Get amps breakdown for an owner
curl --request GET \
--url https://api.mainnet.aptoslabs.com/decibel/api/v1/points/amps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mainnet.aptoslabs.com/decibel/api/v1/points/amps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mainnet.aptoslabs.com/decibel/api/v1/points/amps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bonus_amps": 123,
"owner": "<string>",
"realized_pnl": 123,
"referral_amps": 123,
"streak_amps": 123,
"total_amps": 123,
"trading_amps": 123,
"vault_amps": 123,
"rank": 1
}Points
Get amps breakdown for an owner
Returns total amps with per-category breakdown (trading, streak, referral, vault). All values are sourced from the points leaderboard MV, guaranteeing consistency with the leaderboard rankings.
GET
/
api
/
v1
/
points
/
amps
Get amps breakdown for an owner
Authorizations
Bearer token from Geomi. See Authentication for setup instructions.
Query Parameters
Owner wallet address
Response
Owner amps breakdown
Per-user amps breakdown response DTO All values are sourced from the points_leaderboard_stats MV, guaranteeing consistency with the leaderboard.
Bonus amps earned (guild wars, campaigns, etc.)
Owner address
Realized PnL across all subaccounts
Referral amps earned
Streak amps earned
Total amps (trading + streak + bonus + referral + vault)
Trading amps earned
Vault amps earned
Rank on the points leaderboard (null if not on leaderboard)
Required range:
x >= 0
